View Issue Details

IDProjectCategoryView StatusLast Update
0000597Main CAcert Websiteaccount administrationpublic2015-09-01 19:31
ReporterC_A Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2008 
Target Version2014 Q2Fixed in Version2015 Q1 
Summary0000597: email notification for revoked certificates
DescriptionThe email template used to send a member the notification about a successful revocation of a certificate is not appropriate for certificates without email adresses.

--snip--
Hi <name>,

Your certificate for has been revoked, as per request.

Best regards
CAcert.org Support!
--snap--

After 'for' there is the place for the email address - which is not available here.. maybe this line should go like that:

Your certificate with serial number <> has been revoked, as per request.
TagsNo tags attached.
Reviewed byTed, BenBE
Test Instructions

Relationships

related to 0000482 closed Certificates are automatically revoked on deletion of email address 
has duplicate 0000739 closedINOPIAE Bad text on X.509 cert revocation (website+email) 
related to 0000773 closedBenBE No confirmation of revocation of server certificate 
child of 0001373 newINOPIAE Improve the revokation mail sent by the signer 

Activities

INOPIAE

2014-02-23 11:18

updater   ~0004601

I pushed a fix to https://github.com/INOPIAE/CAcert/tree/bug-597

Testing:
Revoke a certificate from each area and see how the mail text looks like.

felixd

2014-06-15 11:24

updater   ~0004837

Test for revoking a client certificate results in a good email.
  ==> fix works
Test for revoking a server certificate no email is generated (see bug 773)

BenBE

2014-06-15 16:44

updater   ~0004841

@felix: Which revision did you test?

felixd

2014-06-15 23:28

updater   ~0004843

I tested both:

https://github.com/INOPIAE/CAcert/commit/f2e2938666127a8636ac7770a1cfdb089124528ba
i.e. the current commit on his branch "bug-597"

and the same commit merged with "release" branch.

INOPIAE

2014-06-17 21:45

updater   ~0004850

Last edited: 2014-06-17 21:45

View 2 revisions

The revokation of the client, server, org client and org serv certificate
generates an email with the correct wording. => ok

see also bug 773

Eva

2014-07-08 21:30

updater   ~0004881

I revoked
- a client cert and got a mail containing:
"Your certificate for 'KatziAdmin@cacert.org' with the serial number '4FFB' has been revoked, as per request."
-> OK

- a server cert and got a mail containing:
"Your certificate for 'katzi.de' with the serial number '4E8F' has been revoked, as per request."
-> OK

- an org client cert and got a mail containing:
"Your certificate for 'hq@piratenpad.de' with the serial number '4F91' has been revoked, as per request."
-> OK

- an org server cert and got a mail containing:
"Your certificate for 'server1.landkreis-osterode.de' with the serial number '4E72' has been revoked, as per request."
-> OK

=> OK

Eva

2014-07-08 21:30

updater   ~0004882

As there are at least 2 positive tests, please review.

Eva

2014-07-08 21:31

updater   ~0004883

Please review.

Ted

2015-02-09 20:13

administrator   ~0005315

Reviewed 5476ac472c00936c1687541b4eb2b0a40f4eec79 vs. f2e2938666127a8636ac7770a1cfdb089124528b

Changes are trivial. Except for removing trailing whitespaces, only the mail text was changed, as requested by the bug.

No functional tests have been made by me.

The review is PASSED

wytze

2015-02-13 14:20

developer   ~0005320

The fix has been installed on the production server on February 13, 2015. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2015-02/msg00009.html

Issue History

Date Modified Username Field Change
2008-08-15 20:55 C_A New Issue
2012-12-19 11:10 INOPIAE Relationship added related to 0000482
2014-02-23 11:17 INOPIAE Assigned To => INOPIAE
2014-02-23 11:18 INOPIAE Note Added: 0004601
2014-02-23 11:18 INOPIAE Status new => fix available
2014-02-23 12:15 INOPIAE Relationship added related to 0000739
2014-02-23 12:15 INOPIAE Relationship deleted related to 0000739
2014-02-23 12:16 INOPIAE Relationship added has duplicate 0000739
2014-03-15 20:41 INOPIAE Relationship added related to 0000773
2014-06-15 11:24 felixd Note Added: 0004837
2014-06-15 16:44 BenBE Reviewed by => BenBE
2014-06-15 16:44 BenBE Note Added: 0004841
2014-06-15 16:44 BenBE Assigned To INOPIAE => NEOatNHNG
2014-06-15 16:44 BenBE Status fix available => needs review & testing
2014-06-15 16:44 BenBE Product Version => 2008
2014-06-15 16:44 BenBE Target Version => 2014 Q2
2014-06-15 17:45 BenBE Source_changeset_attached => cacert-devel testserver-stable d780e47b
2014-06-15 17:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable f2e29386
2014-06-15 17:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 96cb65e5
2014-06-15 23:28 felixd Note Added: 0004843
2014-06-17 21:45 INOPIAE Note Added: 0004850
2014-06-17 21:45 INOPIAE Note Edited: 0004850 View Revisions
2014-07-08 21:30 Eva Note Added: 0004881
2014-07-08 21:30 Eva Note Added: 0004882
2014-07-08 21:31 Eva Note Added: 0004883
2014-07-08 21:31 Eva Status needs review & testing => needs review
2015-02-09 18:39 Ted Assigned To NEOatNHNG => Ted
2015-02-09 20:07 Ted Reviewed by BenBE => Ted, BenBE
2015-02-09 20:13 Ted Note Added: 0005315
2015-02-09 20:13 Ted Assigned To Ted => BenBE
2015-02-09 20:13 Ted Status needs review => ready to deploy
2015-02-11 08:32 BenBE Relationship added child of 0001373
2015-02-13 14:20 wytze Note Added: 0005320
2015-02-13 14:20 wytze Status ready to deploy => solved?
2015-02-13 14:20 wytze Fixed in Version => 2015 Q1
2015-02-13 14:20 wytze Resolution open => fixed
2015-09-01 19:31 INOPIAE Status solved? => closed